Bug 169348 - unable to rebuild HelixPlayer source rpm on x86_64
unable to rebuild HelixPlayer source rpm on x86_64
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: HelixPlayer (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-27 06:57 EDT by Radek Bíba
Modified: 2011-01-25 03:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-25 03:23:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2005-09-27 06:57:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
How am I supposed to rebuild HelixPlayer-1.0.5-0.EL4.1.src.rpm on x86_64? It just fails:

$ rpmbuild --rebuild --define 'debug_package %{nil}' --target=i386 \
 HelixPlayer-1.0.6-0.EL4.1.src.rpm
...
+ python build/bin/build -t release -k -y -j4 -m hxplay_gtk_release -p green
-P helix-client-all-defines-free player_all

--- Build System Error ------------------------------------
System detection failed for unknown Linux system.
-----------------------------------------------------------

error: Bad exit status from /var/tmp/rpm-tmp.53244 (%build)
...
---end---

Without --target=i386 it isn't working at all, saying error: Architecture is
excluded: x86_64

Version-Release number of selected component (if applicable):
HelixPlayer-1.0.5-0.EL4.1

How reproducible:
Always

Steps to Reproduce:
see description

Actual Results:  build error

Expected Results:  success

Additional info:
Comment 1 Radek Bíba 2005-09-27 07:14:07 EDT
Sorry for the confusion, the file in the rpmbuild command should really be
HelixPlayer-1.0.5-0.EL4.1.src.rpm. However, version *6* is still affected.
Comment 2 Martin Kočí 2007-06-27 05:31:46 EDT
Version of HelixPlayer-1.0.6-0.EL4.2.0.2 is affected as well with the same errors.
Comment 3 Radek Bíba 2011-01-25 03:23:22 EST
HelixPlayer is no longer part of the distro. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.